using System;

namespace Domain
{
  public class Comment
  {
    public Guid Id { get; }
    public Guid LinkId { get; }
    public string Content { get; }
    public DateTime CreatedAt { get; }

    internal Comment(Guid linkId, string content)
    {
      Id = Guid.NewGuid();
      LinkId = linkId;
      Content = content;
      CreatedAt = DateTime.UtcNow;
    }
  }
}